Package Details: classin-bin 5.1.1.34-3

Git Clone URL: https://aur.archlinux.org/classin-bin.git (read-only, click to copy)
Package Base: classin-bin
Description: Proprietary remote classroom application by EEO.
Upstream URL: https://www.eeo.cn/cn/classin
Keywords: classroom conference video
Licenses: unknown
Submitter: cyqsimon
Maintainer: cyqsimon (kde-yyds)
Last Packager: cyqsimon
Votes: 1
Popularity: 0.24
First Submitted: 2024-03-31 08:58 (UTC)
Last Updated: 2024-04-07 01:51 (UTC)

Dependencies (0)

Required by (0)

Sources (1)

Pinned Comments

cyqsimon commented on 2024-03-31 09:05 (UTC)

This is a very crude packaging job - I simply extracted all the contents from the .deb archive. So there are lots of namcap warnings and the package size is probably unnecessarily large due to unused shared objects.

If you would like to help maintain and/or co-maintain and/or improve this package, please volunteer, thank you.

Latest Comments

kde-yyds commented on 2024-04-07 10:21 (UTC)

thanks @cyqsimon

cyqsimon commented on 2024-04-07 01:50 (UTC)

@kde-yyds Done. I also gave you co-maintainer access, so if you have further improvements you can directly commit them. Just make sure you keep a decent commit log, much thanks!

kde-yyds commented on 2024-04-06 13:29 (UTC) (edited on 2024-04-06 13:31 (UTC) by kde-yyds)

Please remove /opt/apps/classin/lib/libstdc++.so* for hw accelerated opengl. (although with opengl, classin is still very laggy)

MESA-LOADER: failed to open radeonsi: /opt/apps/classin/lib/libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /usr/lib/dri/radeonsi_dri.so) (search paths /usr/lib/dri, suffix _dri)
failed to load driver: radeonsi

Also, remove /opt/apps/classin/lib/libasound.so* to make alsa work.

ALSA lib dlmisc.c:170:(snd_dlsym_verify) unable to verify version for symbol snd_func_private_integer
ALSA lib conf.c:4556:(_snd_config_evaluate) symbol snd_func_private_integer is not defined inside (null)
ALSA lib conf.c:5047:(snd_config_expand) Evaluate error: 没有那个设备或地址
ALSA lib conf.c:3694:(snd_config_hook_load) Unable to expand filenames in the pre-load section
ALSA lib conf.c:3572:(snd_config_hooks_call) function snd_config_hook_load_for_all_cards returned error: 没有那个设备或地址
ALSA lib control.c:1264:(snd_ctl_open_conf) Invalid type for CTL default definition

cyqsimon commented on 2024-03-31 09:05 (UTC)

This is a very crude packaging job - I simply extracted all the contents from the .deb archive. So there are lots of namcap warnings and the package size is probably unnecessarily large due to unused shared objects.

If you would like to help maintain and/or co-maintain and/or improve this package, please volunteer, thank you.